Name:           cbootimage
Version:        1.0
Release:        2%{?dist}
Summary:       	Tools to dump and generate boot config table on Tegra devices

License:        GPLv2
URL:            http://nv-tegra.nvidia.com/gitweb/?p=tools/cbootimage.git;a=summary
#git clone git://nv-tegra.nvidia.com/tools/cbootimage.git
#./autogen.sh && configure && make dist-xz
Source0:        cbootimage-%{version}.tar.xz



%description
This package contains two programs to parse the boot config table (bct)
of Tegra SoC based devices and to generate a new bct with appended
bootloader (e.g. u-boot) read to be flashed to a storage device.
The boot config table is used in the early boot process to setup the sdhci,
DRAM memory controller and also points to the position of the bootloader.

For more information, see:
http://http.download.nvidia.com/tegra-public-appnotes/bct-overview.html


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%doc COPYING
%{_bindir}/bct_dump
%{_bindir}/cbootimage

%changelog
* Sun Apr 21 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.0-2
- Update license field as GPLv2 Only
- Add source checkout description
- Spec Clean-up
- Update description

* Sat Apr 20 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.0-1
- Initial package

